package com.grack.hdcp;

import Jampack.Inv;
import Jampack.JampackException;
import Jampack.Solve;
import Jampack.Times;
import Jampack.Z;
import Jampack.Zmat;
import junit.framework.TestCase;

public class TestSolver extends TestCase {
	public void testSolver() throws JampackException
	{
		Zmat z1 = new Zmat(4, 4);
		z1.put(1, 1, new Z(1));
		z1.put(1, 2, new Z(1));

		z1.put(2, 2, new Z(1));
		z1.put(2, 4, new Z(1));

		z1.put(3, 1, new Z(1));
		z1.put(3, 3, new Z(1));

		z1.put(4, 2, new Z(1));
		z1.put(4, 3, new Z(1));

		Zmat z2 = new Zmat(4, 1);
		z2.put(1, 1, new Z(33));
		z2.put(2, 1, new Z(18));
		z2.put(3, 1, new Z(41));
		z2.put(4, 1, new Z(26));
		
		Zmat sol = Solve.aib(z1, z2);
		System.out.println(sol.get(1, 1).re);
		System.out.println(sol.get(2, 1).re);
		System.out.println(sol.get(3, 1).re);
		System.out.println(sol.get(4, 1).re);
	}
}
